using Telerik.WinControls.UI;


namespace TreeViewDragDropExtendedCS
{
    public class CustomTreeView : RadTreeView
    {
        protected override RadTreeViewElement CreateTreeViewElement()
        {
            return new CustomTreeViewElement();
        }

        public override string ThemeClassName
        {
            get { return typeof(RadTreeView).FullName; }
            set { base.ThemeClassName = value; }
        }

        public class CustomTreeViewElement : RadTreeViewElement
        {
            protected override System.Type ThemeEffectiveType
            {
                get { return typeof(RadTreeViewElement); }
            }

            protected override TreeViewDragDropService CreateDragDropService()
            {
                return new CustomDragDropService(this);
            }
        }

    }

}